| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
entrepot.hpp File Reference

defines the entrepot interface. Entrepot interface defines a generic way to interact with files (slices) on a filesystem. It is used to instanciate file-like objects (from class inherited from class fichier_global, in order to read or write data to such file. The entrepot_local and fichier_local classes are the only one classes available from libdar to implement the entrepot and fichier classes interfaces respectively. External applications like webdar can implement entrepot_ftp and fichier_ftp classes to provide transparent access to dar backup localted on a remote ftp server. More can follow in the future. More...

`#include "../my_config.h"`
`#include <string>`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "user_interaction.hpp"`
`#include "fichier_global.hpp"`
`#include "hash_fichier.hpp"`
`#include "etage.hpp"`
`#include "path.hpp"`
`#include "on_pool.hpp"`

Go to the source code of this file.

## Classes
class | libdar::entrepot
| the Entrepot interface More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines the entrepot interface. Entrepot interface defines a generic way to interact with files (slices) on a filesystem. It is used to instanciate file-like objects (from class inherited from class fichier_global, in order to read or write data to such file. The entrepot_local and fichier_local classes are the only one classes available from libdar to implement the entrepot and fichier classes interfaces respectively. External applications like webdar can implement entrepot_ftp and fichier_ftp classes to provide transparent access to dar backup localted on a remote ftp server. More can follow in the future.

Definition in file entrepot.hpp.